<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Generate Nim</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="container">
    <div class="" sec:authorize="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE','VIEW_AKADEMIK')">
        <div class="x_panel">
            <div class="x_title">
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#">Settings 1</a>
                            </li>
                            <li><a href="#">Settings 2</a>
                            </li>
                        </ul>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="row" th:if="${detailDto.id} == null">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="x_panel tile fixed_height_160">
                            <div class="alert alert-info">
                                <h2><i class="fa fa-warning"></i> Warning!</h2>
                                <h5>Silahkan isi data detail terlebih dahulu di akun pendaftar.</h5>
                                <a th:href="@{/pendaftar/list(search = ${detailDto.pendaftar.nomorRegistrasi})}" class="btn btn-warning"><i class="fa fa-user"></i>&nbsp;Cek Pendaftar</a>
                            </div>
                        </div>
                    </div>
                </div>
                <form th:action="@{/generateNim/form}" method="post" th:object="${detailDto}" th:if="${detailDto.id} != null">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="x_panel">
                                <div class="row">
                                    <div class="col-md-12 col-sm-12 col-xs-12" >
                                        <div class="x_panel tile fixed_height_160">
                                            <span style="float: right;" th:text="'Tanggal Update : ' + ${detailDto.updateTime}"></span>
                                            <h2 class="StepTitle">Data Pribadi</h2>
                                            <div  style="color: blue"  class="col-md-6" th:if="${detailDto.nim != null && detailDto.nim != ''}">
                                                <span>NIM</span>
                                                <h3  th:text="${detailDto.nim}"></h3>
                                            </div>
                                            <div class="form-horizontal form-label-left">
                                                <div class="col-md-12"><br>
                                                    <div class="row">
                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Nama</label>
                                                                    &nbsp&nbsp
                                                                    <small style="color: red;">
                                                                        * Isi sesuai ijazah terakhir.
                                                                    </small>
                                                                    <input type="text" name="nama"
                                                                           class="form-control" th:field="*{nama}"
                                                                           placeholder="Nama">
                                                                    <input type="hidden" name="id" th:field="*{id}">
                                                                    <input type="hidden" name="orangTua" th:field="*{orangTua}">
                                                                    <input type="hidden" name="fotoPe" th:field="*{fotoPe}">
                                                                    <input type="hidden" name="pendaftar" th:field="*{pendaftar}">
                                                                    <input type="hidden" name="leads" th:field="*{leads}">
                                                                    <input type="hidden" name="prodiLama" th:field="*{prodiLama}">
                                                                    <input type="hidden" name="nim" th:field="*{nim}">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Email
                                                                    </label>
                                                                    <input type="text" name="email"
                                                                           class="form-control" th:field="*{email}"
                                                                           placeholder="Email...">
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>No Handphone
                                                                    </label>
                                                                    <input type="number" name="noHp"
                                                                           class="form-control" th:field="*{noHp}"
                                                                           placeholder="No Handphone...">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Nomor KTP</label>
                                                                    <input type="text" name="noKtp" th:field="*{noKtp}"  class="form-control"
                                                                           placeholder="Nomor KTP" >
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <div class="form-group">
                                                                        <label class="control-label">Jenis Kelamin</label><br>
                                                                        <select name="jenisKelamin"class="form-control" th:field="*{jenisKelamin}" id="">
                                                                            <option value="">- Pilih Jenis Kelamin -</option>
                                                                            <option value="PRIA">Laki-Laki</option>
                                                                            <option value="WANITA">Perempuan</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Golongan Darah</label>
                                                                    <select type="text" name="golonganDarah" th:field="*{golonganDarah}"
                                                                            class="form-control" required autofocus>
                                                                        <option value="">-Pilih Golongan Darah-</option>
                                                                        <option value="A">A</option>
                                                                        <option value="B">B</option>
                                                                        <option value="AB">AB</option>
                                                                        <option value="O">O</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Tempat Lahir</label>
                                                                    <input type="text" name="tempatLahir" id="tempatLahir" th:field="*{tempatLahir}"
                                                                           class="form-control" required placeholder="Tempat Lahir">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Tanggal Lahir</label><br>
                                                                    <input type="date" th:field="*{tanggalLahir}"
                                                                           name="tanggalLahir"class="form-control">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Agama</label>
                                                                    <select name="agama" class="form-control" th:field="*{agama}" required autofocus>
                                                                        <option value="">-Pilih Agama-</option>
                                                                        <option value="Islam">Islam</option>
                                                                        <option value="Hindu">Hindu</option>
                                                                        <option value="Budha">Budha</option>
                                                                        <option value="Kristen">Kristen</option>
                                                                        <option value="Katholik">Katholik</option>
                                                                        <option value="KongHuCu">Kong Hu Cu</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <hr>

                                                        <div class="row" style="color: red;">
                                                            <div class="col-sm-6">
                                                                <label>Program Studi Pilihan *</label>
                                                                <!--S1-->
                                                                <select name="programStudi" th:if="*{pendaftar.leads.jenjang.S1 == pendaftar.leads.jenjang}"
                                                                        class="form-control js-example-placeholder-single" required autofocus th:field="*{programStudi}">
                                                                    <option value="">-Pilih Program Studi-</option>
                                                                    <option th:each="ins : ${daftarProdiS1}"
                                                                            th:value="${ins.id}"
                                                                            th:text="${ins.nama}">Ekonomi Syariah</option>
                                                                </select>
                                                                <!--S2-->
                                                                <select name="programStudi" th:if="*{pendaftar.leads.jenjang.S2 == pendaftar.leads.jenjang}"
                                                                        class="form-control js-example-placeholder-single" required autofocus th:field="*{programStudi}"><!--th:field="*{programStudi}"-->
                                                                    <option value="">-Pilih Program Studi-</option>
                                                                    <option th:each="ins : ${daftarProdiS2}"
                                                                            th:value="${ins.id}"
                                                                            th:text="${ins.nama}">Ekonomi Syariah</option>
                                                                </select>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Konsentrasi
                                                                    </label>
                                                                    <select name="konsentrasi" th:field="*{konsentrasi}" th:if="*{pendaftar.leads.jenjang.S1 == pendaftar.leads.jenjang}"  class="form-control"
                                                                            required autofocus><!--th:field="*{konsentrasi}"-->
                                                                        <option value="">-Pilih Konsentrasi-</option>
                                                                        <option value="Reguler" >Reguler(S1)</option >
                                                                        <option value="Karyawan" >Karyawan(S1)</option >
                                                                        <option value="Hafiz Nomist" >Hafiz Nomist (S1)</option >
                                                                    </select>
                                                                    <!--S2-->
                                                                    <select name="konsentrasi" th:field="*{konsentrasi}" th:if="*{pendaftar.leads.jenjang.S2 == pendaftar.leads.jenjang}"  class="form-control"
                                                                            required autofocus><!--th:field="*{konsentrasi}"-->
                                                                        <option value="">-Pilih Konsentrasi-</option>
                                                                        <option value="Reguler" >Reguler(S2)</option >
                                                                        <option value="Eksekutif" >Eksekutif(S2)</option >
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <hr>

                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Alamat Rumah</label>
                                                                    <input type="text" name="alamatRumah"
                                                                           class="form-control" th:field="*{alamatRumah}"
                                                                           placeholder="Alamat Tempat Tinggal">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Provinsi</label>
                                                                    <input type="text"
                                                                           name="namaProvinsi" id="provinsi"
                                                                           class="form-control" th:field="*{provinsi.nama}"
                                                                           placeholder="Provinsi...">
                                                                    <input type="hidden" name="provinsi" th:field="*{provinsi}" id="idProvinsi">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Kabupaten/Kota</label>
                                                                    <input type="text" id="kabupatenKota" disabled
                                                                           name="namaKabupatenKota" th:field="*{kokab.nama}" class="form-control"
                                                                           placeholder="Kabupaten/Kota...">
                                                                    <input type="hidden" name="kokab" th:field="*{kokab}" id="idKabupatenKota">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Kode Pos</label>
                                                                    <input type="number" th:field="*{kodePos}"
                                                                           name="kodePos" class="form-control"
                                                                           placeholder="Kode Pos">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Negara</label>
                                                                    <input type="text" name="negara"
                                                                           class="form-control" th:field="*{negara}"
                                                                           placeholder="Asal Negara">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <div class="form-group">
                                                                        <label class="control-label">Status Sipil</label><br>
                                                                        <select name="statusSipil" th:field="*{statusSipil}" class="form-control">
                                                                            <option value="">- Status Sipil -</option>
                                                                            <option value="WNI">WNI</option>
                                                                            <option value="WNA">WNA</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                        </div>

                                                        <hr>
                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Tahun Lulus</label>
                                                                    <input type="number"name="tahunLulus" class="form-control"
                                                                           th:field="*{tahunLulus}" placeholder="Tahun Lulus">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Jurusan</label>
                                                                    <input type="text"name="jurusanSekolah"
                                                                           class="form-control" th:field="*{jurusanSekolah}"
                                                                           placeholder="Jurusan...">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>NISN</label>
                                                                    <input type="number"name="nisn" th:field="*{nisn}"
                                                                           class="form-control" placeholder="NISN">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Rencana Biaya</label>
                                                                    <select type="text" name="rencanaBiaya" th:field="*{rencanaBiaya}" class="form-control" required autofocus>
                                                                        <option value="">-Pilih Rencana Biaya -</option>
                                                                        <option value="ORANG_TUA">Orang Tua</option>
                                                                        <option value="BEASISWA">Beasiswa</option>
                                                                        <option value="SENDIRI">Sendiri</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="col-md-12 col-sm-12 col-xs-12" >
                                        <div class="x_panel tile fixed_height_160">
                                            <h2 class="StepTitle">Data Orangtua</h2>
                                            <hr>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Nama Ayah</label>
                                                                    <input type="text" name="namaAyah"
                                                                           class="form-control" th:field="*{namaAyah}"
                                                                           placeholder="Nama Ayah">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Agama Ayah</label>
                                                                    <select name="agamaAyah" th:field="*{agamaAyah}" class="form-control" required autofocus>
                                                                        <option value="">-Pilih Agama-</option>
                                                                        <option value="Islam">Islam</option>
                                                                        <option value="Hindu">Hindu</option>
                                                                        <option value="Budha">Budha</option>
                                                                        <option value="Kristen">Kristen</option>
                                                                        <option value="Katholik">Katholik</option>
                                                                        <option value="KongHuCu">Kong Hu Cu</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pendidikan Ayah</label>
                                                                    <select name="pendidikanAyah" th:field="*{pendidikanAyah}"
                                                                            class="form-control js-example-placeholder-single" required autofocus>
                                                                        <option value="">-Pilih Pindidikan Ayah-</option>
                                                                        <option th:each="ins : ${pendidikanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">SMA</option>
                                                                        <!--<option value="">SMA</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pekerjaan Ayah</label>
                                                                    <select name="pekerjaanAyah" th:field="*{pekerjaanAyah}"
                                                                            class="form-control js-example-placeholder-single" required autofocus>
                                                                        <option value="">-Pilih Pekerjaan Ayah-</option>
                                                                        <option th:each="ins : ${pekerjaanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">PNS</option>
                                                                        <!--<option value="">PNS</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>


                                                            <div class="col-md-12">
                                                                <div class="form-group">
                                                                    <label class="control-label">Status Ayah</label><br>
                                                                    <input type="radio" class="flat" th:field="*{statusAyah}"
                                                                           name="statusAyah"value="hidup">Hidup
                                                                    &nbsp;&nbsp;&nbsp;
                                                                    <input type="radio" class="flat" th:field="*{statusAyah}"
                                                                           name="statusAyah"value="meninggal">Meninggal
                                                                </div>
                                                            </div>
                                                            <hr>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Nama Ibu</label>
                                                                    <input type="text" name="namaIbu"
                                                                           class="form-control" th:field="*{namaIbu}"
                                                                           placeholder="Nama Ibu">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Agama Ibu</label>
                                                                    <select name="agamaIbu" th:field="*{agamaIbu}" class="form-control" required autofocus>
                                                                        <option value="">-Pilih Agama-</option>
                                                                        <option value="Islam">Islam</option>
                                                                        <option value="Hindu">Hindu</option>
                                                                        <option value="Budha">Budha</option>
                                                                        <option value="Kristen">Kristen</option>
                                                                        <option value="Katholik">Katholik</option>
                                                                        <option value="KongHuCu">Kong Hu Cu</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pendidikan Ibu</label>
                                                                    <select name="pendidikanIbu" th:field="*{pendidikanIbu}"
                                                                            class="form-control js-example-placeholder-single" required autofocus>
                                                                        <option value="">-Pilih Pindidikan Ibu-</option>
                                                                        <option th:each="ins : ${pendidikanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">SMA</option>
                                                                        <!--<option value="">SMA</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pekerjaan Ibu</label>
                                                                    <select name="pekerjaanIbu" th:field="*{pekerjaanIbu}"
                                                                            class="form-control js-example-placeholder-single" required autofocus>
                                                                        <option value="">-Pilih Pekerjaan Ibu-</option>
                                                                        <option th:each="ins : ${pekerjaanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">PNS</option>
                                                                        <!--<option value="">PNS</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-12">
                                                                <div class="form-group">
                                                                    <label class="control-label">Status Ibu</label><br>
                                                                    <input type="radio" class="flat" th:field="*{statusIbu}"
                                                                           name="statusIbu"value="hidup">Hidup
                                                                    &nbsp;&nbsp;&nbsp;
                                                                    <input type="radio" class="flat" th:field="*{statusIbu}"
                                                                           name="statusIbu"value="meninggal">Meninggal
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <hr>
                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Alamat</label>
                                                                    <input type="text" name="alamatOrangtua"
                                                                           class="form-control" th:field="*{alamatOrangtua}"
                                                                           placeholder="Alamat Orang Tua">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>No Handphone</label>
                                                                    <input type="number" name="noOrangtua"
                                                                           class="form-control" th:field="*{noOrangtua}"
                                                                           placeholder="No Handphone Orang Tua">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pengahasilan</label>
                                                                    <select name="penghasilanOrangtua" th:field="*{penghasilanOrangtua}"
                                                                            class="form-control js-example-placeholder-single" required autofocus>
                                                                        <option value="">-Pilih Penghasilan-</option>
                                                                        <!--<option value="">3.000.000,00</option>-->
                                                                        <option th:each="ins : ${penghasilanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">1.000.000</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Jumlah Sodara Kandung</label>
                                                                    <input type="number" name="jumlahTanggungan" th:field="*{jumlahTanggungan}"
                                                                           class="form-control" required placeholder="Jumlah Sodara Kandung">
                                                                </div>
                                                            </div>
                                                        </div>


                                                        <h6 class="border-bottom border-gray pb-2 mb-0"></h6>
                                                        <br>

                                                        <center>
                                                            <input th:if="${detailDto.pendaftar} != null and ${detailDto.nim == null}" class="btn btn-primary" type="submit" value="Update">
                                                            <input th:if="${detailDto.pendaftar} == null" class="btn btn-primary" type="submit" value="Simpan">
                                                            <a th:if="${detailDto.pendaftar} != null and ${detailDto.nim == null}"  th:href="@{/detailPendaftar/form}" class="btn btn-primary" role="button">
                                                                <span aria-hidden="true"></span>Batal
                                                            </a>
                                                        </center>
                                                        <div  class="col-md-6" th:if="${detailDto.nim != null and detailDto.nim != ''}">
                                                            <h2>
                                                            <span>Silahkan perbarui data Anda di </span><a style="color: blue" href="https://smile.tazkia.ac.id">smile.tazkia.ac.id</a>
                                                            </h2>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

            </div>
        </div>
    </div>
</section>

</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    $(".js-example-tags").select2({
        tags: true,
        placeholder: "Pilih Kode Pos",
        allowClear: true
    });

</script>



